Page MenuHomePhabricator

Call to undefined method LanguageEn::truncate()
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

Request ID: INSERT_ID

message
Fatal error: Call to undefined method LanguageEn::truncate() in /srv/mediawiki/php-1.33.0-wmf.1/extensions/CentralNotice/special/SpecialCentralNotice.php on line 1543
trace
n/a

Impact

Fatal errors in production

Notes

Event Timeline

mmodell created this task.Oct 25 2018, 10:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2018, 10:46 PM
mmodell triaged this task as Unbreak Now! priority.Oct 25 2018, 10:52 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptOct 25 2018, 10:52 PM

Caused because prod isn't running actual wmf.1 for CentralNotice, it's months behind, and I5205ec0d96cb06087624f2cf8d83b8ae2256df0e is missing. :-(

Change 469794 had a related patch set uploaded (by Jforrester; owner: C. Scott Ananian):
[mediawiki/extensions/CentralNotice@wmf_deploy] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/469794

Restricted Application added a subscriber: Pcoombe. · View Herald TranscriptOct 25 2018, 11:06 PM

Change 469794 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@wmf_deploy] Replace uses of deprecated Language::truncate()

https://gerrit.wikimedia.org/r/469794

Mentioned in SAL (#wikimedia-operations) [2018-10-25T23:53:16Z] <jforrester@deploy1001> Synchronized php-1.32.0-wmf.26/extensions/CentralNotice/special/SpecialCentralNotice.php: SWAT Sync versions of SpecialCentralNotice to avoid dirty repo checkout T208004 (duration: 00m 56s)

Jdforrester-WMF closed this task as Resolved.Oct 26 2018, 12:05 AM
Jdforrester-WMF assigned this task to AndyRussG.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM